[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

### 4.5.1 Common Command Line Options

All Crystal Space applications respond to a common set of command line options. Many applications define additional options which are specific to that particular application.

The most immediately useful command line option which all applications respond to is ``-help'`. This command list all of the other options to which an application responds.

The default setting for each command line option is set internally in the program unless there is a corresponding line for it in the configuration file. For example, normally the default for `-gamma` is `1.0` (the default brightness level). But when `GAMMA=2.0` is set in configuration file ``soft3d.cfg'` the default will be `2.0` instead. Command line options always override default values.

Some interesting options to play with are:

`-mode=640x480`

  Use this option to set the size of the display.

`-canvas=sdl2d`

  Use this option to select the type of 2D canvas to use.

`-video=opengl`

  (or software, ...). Use this option to select type of display driver to use. Other options are `software`, `null`, etc.

`-relight`

  Use this option to recalculate all lightmaps after you changed lighting or geometry in a level that you're trying. If you don't do this you either get the old lightmaps or no lightmaps at all.

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ]

This document was generated using texi2html 1.76.